StaxTransformFeature (Apache CXF JavaDoc 4.2.2 API)
Description: declaration: package: org.apache.cxf.feature, class: StaxTransformFeature

Package org.apache.cxf.feature

# Class StaxTransformFeature

java.lang.Object
jakarta.xml.ws.WebServiceFeature
org.apache.cxf.feature.AbstractFeature
org.apache.cxf.feature.DelegatingFeature<StaxTransformFeature.Portable>
org.apache.cxf.feature.StaxTransformFeature

All Implemented Interfaces:
  `AbstractPortableFeature`, `Feature`

public class StaxTransformFeature extends DelegatingFeature<StaxTransformFeature.Portable>

        <jaxws:endpoint ...>
          <jaxws:features>
           <bean class="org.apache.cxf.feature.StaxTransformFeature"/>
          </jaxws:features>
        </jaxws:endpoint>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `StaxTransformFeature.Portable`

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.feature.DelegatingFeature

  `delegate`

  ### Fields inherited from class jakarta.xml.ws.WebServiceFeature

  `enabled`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StaxTransformFeature()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setAttributesToElements(boolean value)`
  `void`
  `setContextPropertyName(String propertyName)`
  `void`
  `setInAppendElements(Map<String,String> inElements)`
  `void`
  `setInDropElements(List<String> dropElementsSet)`
  `void`
  `setInTransformAttributes(Map<String,String> inAttributes)`
  `void`
  `setInTransformElements(Map<String,String> inElements)`
  `void`
  `setOutAppendElements(Map<String,String> map)`
  `void`
  `setOutDefaultNamespace(String ns)`
  `void`
  `setOutDropElements(List<String> dropElementsSet)`
  `void`
  `setOutTransformAttributes(Map<String,String> outAttributes)`
  `void`
  `setOutTransformElements(Map<String,String> outElements)`
  `void`
  `setSkipOnFault(boolean value)`

  ### Methods inherited from class org.apache.cxf.feature.DelegatingFeature

  `getDelegate, initialize, initialize, initialize, initialize, initializeProvider, setDelegate`

  ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

  `doInitializeProvider, getActive, getID, isEnabled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StaxTransformFeature

    public StaxTransformFeature()

- ## Method Details

  - ### setOutTransformElements

    public void setOutTransformElements(Map<String,String> outElements)

  - ### setOutTransformAttributes

    public void setOutTransformAttributes(Map<String,String> outAttributes)

  - ### setAttributesToElements

    public void setAttributesToElements(boolean value)

  - ### setSkipOnFault

    public void setSkipOnFault(boolean value)

  - ### setOutAppendElements

    public void setOutAppendElements(Map<String,String> map)

  - ### setOutDropElements

    public void setOutDropElements(List<String> dropElementsSet)

  - ### setInAppendElements

    public void setInAppendElements(Map<String,String> inElements)

  - ### setInDropElements

    public void setInDropElements(List<String> dropElementsSet)

  - ### setInTransformElements

    public void setInTransformElements(Map<String,String> inElements)

  - ### setInTransformAttributes

    public void setInTransformAttributes(Map<String,String> inAttributes)

  - ### setOutDefaultNamespace

    public void setOutDefaultNamespace(String ns)

  - ### setContextPropertyName

    public void setContextPropertyName(String propertyName)